[Q] Jelly bean and apk.

Search This thread

Triggerhand

Member
Feb 29, 2012
12
1
Trying to install a .apk but keeps coming up with " [INSTALL_FAILED_INVALID_APK] "
I had 4.0 before and they downloaded fine. I flashed with Jelly Bean and now this error.
I assume its because Jelly Bean is new but maybe I'm wrong can anyone help me?
 

Cossin

Member
Dec 19, 2010
13
0
Montreal
Hi.. since nobody post an answer and has some views, i think you already got the answer, probably an incompatible JB apk, as an example Flash player will not be supported in Jelly Bean. Maybe after the OTA?
 

lightpriest

Member
Jan 24, 2009
12
4
Tel-Aviv
When one creates an APK, it has a manifest file containing a property called uses-sdk. This property has minSdk and maxSdk attributes.
My guess is that it's limited/maxed to ICS SDK version (which is 15), rather then JB SDK number (16).
 

greg2826

Senior Member
Nov 11, 2010
258
47
Hi.. since nobody post an answer and has some views, i think you already got the answer, probably an incompatible JB apk, as an example Flash player will not be supported in Jelly Bean. Maybe after the OTA?

yeah flash is incompatible with JB if u trying to install it from play store, although u can still install flash on ur JB, it will most likely crush ur browsers every time u will try to access pages with flash content.
 

Fitchman

Senior Member
Apr 29, 2010
63
12
yeah flash is incompatible with JB if u trying to install it from play store, although u can still install flash on ur JB, it will most likely crush ur browsers every time u will try to access pages with flash content.
This doesn't have anything to do with Flash, I am getting this too on both the SDK port (4.1) And the newer built-from-source ports (4.1.1)
Code:
Failure [INSTALL_FAILED_INVALID_APK]
No matter what apk I try to install from the adb command line.
 
  • Like
Reactions: tommasoflo

Heorhiy

New member
Jul 18, 2012
2
0
I've just installed 4.1.1 and have just the same issue
logcat says Unable to open zip '/data/local/tmp/myapp': Permission denied and fails. but when I copy apk to sdcard and installing it from file manager everything works just fine.
 
Last edited:

jolo72

New member
Nov 30, 2011
3
2
I have the same issue. After getting the installation error, I looked at the file permissions on my device in the /data/local/tmp directory. They are 600 and owned by root:root. I believe these file permissions need to be 666, but I don't know how to get them to be set correctly. Connecting via adb and running 'umask' shows 077 and my co-worker's umask is 000 and his phone (galaxy nexus with JB) works just fine. I am guessing somehow adb's umask is wrong and I have no idea how to get it set correctly.

BTW: I have i9020a
 
Last edited:
  • Like
Reactions: ivkos and sysadmn

Triggerhand

Member
Feb 29, 2012
12
1
What I ended up doing was downloading a App installer off the market. and placing the APK file on my phone and installing it using the app installer. Works wonders :)
 

Top Liked Posts

  • There are no posts matching your filters.
  • 2
    I have the same issue. After getting the installation error, I looked at the file permissions on my device in the /data/local/tmp directory. They are 600 and owned by root:root. I believe these file permissions need to be 666, but I don't know how to get them to be set correctly. Connecting via adb and running 'umask' shows 077 and my co-worker's umask is 000 and his phone (galaxy nexus with JB) works just fine. I am guessing somehow adb's umask is wrong and I have no idea how to get it set correctly.

    BTW: I have i9020a
    1
    yeah flash is incompatible with JB if u trying to install it from play store, although u can still install flash on ur JB, it will most likely crush ur browsers every time u will try to access pages with flash content.
    This doesn't have anything to do with Flash, I am getting this too on both the SDK port (4.1) And the newer built-from-source ports (4.1.1)
    Code:
    Failure [INSTALL_FAILED_INVALID_APK]
    No matter what apk I try to install from the adb command line.